KDE 4.7 PyKDE API Reference

- KDE's Python API

# AudioDataOutput Class Reference

`from PyKDE4.phonon import *`

Inherits: Phonon.AbstractAudioOutput → QObject
Namespace: Phonon

## Detailed Description

This class gives you the audio data (for visualizations).

This class implements a special AbstractAudioOutput that gives your application the audio data. Don't expect realtime performance. But the latencies should be low enough to use the audio data for visualizations. You can also use the audio data for further processing (e.g. encoding and saving to a file).

Author:
  Matthias Kretz <kretz@kde.org>

## Enumerations
Channel | { LeftChannel, RightChannel, CenterChannel, LeftSurroundChannel, RightSurroundChannel, SubwooferChannel }
## Signals
| endOfMedia (int remainingSamples)
## Methods
int | dataSize (self)
int | sampleRate (self)
| setDataSize (self, int size)

## Signal Documentation

endOfMedia | ( | int | remainingSamples
| ) |  |  |

This signal is emitted before the last dataReady signal of a media is emitted.

If, for example, the playback of a media file has finished and the last audio data of that file is going to be passed with the next dataReady signal, and only the 28 first samples of the data vector are from that media file endOfMedia will be emitted right before dataReady with remainingSamples = 28.

Parameters:

  | remainingSamples | The number of samples in the next dataReady vector that belong to the media that was playing to this point.

Signal syntax:
  `QObject.connect(source, SIGNAL("endOfMedia(int)"), target_slot)`

## Method Documentation

int dataSize | ( |  | self ) |

Returns the currently used number of samples passed through the signal.

See also:
  setDataSize

int sampleRate | ( |  | self ) |

Returns the sample rate in Hz. Common sample rates are 44100 Hz and 48000 Hz. AudioDataOutput will not do any sample rate conversion for you. If you need to convert the sample rate you might want to take a look at libsamplerate. For visualizations it is often enough to do simple interpolation or even drop/duplicate samples.

Returns:
  The sample rate as reported by the backend. If the backend is unavailable -1 is returned.

setDataSize | ( | self, |
|  | int | size
| ) |  |  |

Sets the number of samples to be passed in one signal emission.

Defaults to 512 samples per emitted signal.

Parameters:

  | size | the number of samples

## Enumeration Documentation

Channel

Specifies the channel the audio data belongs to.

Enumerator:

  LeftChannel |
  RightChannel |
  CenterChannel |
  LeftSurroundChannel |
  RightSurroundChannel |
  SubwooferChannel |